The file of a receipt
GET /api/hr/v1/travel-reports/{id}/receipts/{receiptId}/content
Module: HR · operationId: getTravelReceiptContent · Tag: Travel expenses · Auth: access token (Authorization: Bearer <accessToken>)
Only receipts the malware scan cleared: 409 scan_pending, 422 infected, 422 scan_failed otherwise (also when the scan was skipped – unscanned files are never served).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes | |
receiptId |
path | string (uuid) | yes |
Responses
- 200 The file (
application/pdf) - 404 Error (
application/json) - 409 Error (
application/json) - 422 Error (
application/json) - 503 Error (
application/json)
Example request
curl -X GET 'https://api.mbcom.cloud/api/hr/v1/travel-reports/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/receipts/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/content' \
-H "Authorization: Bearer $ACCESS_TOKEN"